Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.connections
Class XATopicConnectionImpl

    java.lang.Object
      net.sf.dropboxmq.connections.ConnectionImpl
          net.sf.dropboxmq.connections.XAConnectionImpl
              net.sf.dropboxmq.connections.XATopicConnectionImpl

All Implemented Interfaces:
  Connection, TopicConnection, XAConnection, XATopicConnection

    public class XATopicConnectionImpl

extends XAConnectionImpl
implements XATopicConnection

Created: 30 Jul 2006

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Field Summary

Fields inherited from class net.sf.dropboxmq.connections.ConnectionImpl
`JMS_PROVIDER_NAME, JMSX_DELIVERY_COUNT, JMSX_GROUP_ID, JMSX_GROUP_SEQ, PROVIDER_VERSION`

Constructor Summary
`XATopicConnectionImpl(ManagedConnectionImpl managedConnection, Configuration configuration)`

Method Summary
`ConnectionConsumer` | `createConnectionConsumer(Topic topic, String messageSelector, ServerSessionPool sessionPool, int maxMessages)` Creates a connection consumer for this connection (optional operation).
`TopicSession` | `createTopicSession(boolean transacted, int acknowledgeMode)` Creates an `XATopicSession` object.
`XATopicSession` | `createXATopicSession()` Creates an `XATopicSession` object.

Methods inherited from class net.sf.dropboxmq.connections.XAConnectionImpl
`createSession, createXASession`

Methods inherited from class net.sf.dropboxmq.connections.ConnectionImpl
`addDurableSubscriptionName, addSession, checkClosed, close, createConnectionConsumer, createDurableConnectionConsumer, createNonXASession, getClientID, getConfiguration, getExceptionListener, getLocalClientID, getLock, getManagedConnection, getMetaData, newDropboxTransaction, removeDurableSubscriptionName, removeServerConsumer, removeSession, setClientID, setExceptionListener, start, stop, toObjectString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.XAConnection
`createSession, createXASession`

Methods inherited from interface javax.jms.TopicConnection
`createDurableConnectionConsumer`

Methods inherited from interface javax.jms.Connection
`close, createConnectionConsumer, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

Constructor Detail

### XATopicConnectionImpl

    public XATopicConnectionImpl(ManagedConnectionImpl managedConnection,
                                 Configuration configuration)
                          throws JMSException

Throws:
  `JMSException`

Method Detail

### createTopicSession

    public TopicSession createTopicSession(boolean transacted,
                                           int acknowledgeMode)
                                    throws JMSException

  Description copied from interface: `javax.jms.XATopicConnection`
  Creates an `XATopicSession` object.

  Specified by:
    `createTopicSession` in interface `TopicConnection`
  Specified by:
    `createTopicSession` in interface `XATopicConnection`
  Parameters:
    `transacted` - usage undefined
    `acknowledgeMode` - usage undefined
  Returns:
    a newly created XA topic session
  Throws:
    `JMSException` - if the `XATopicConnection` object fails to create an XA topic session due to some internal error.
  See Also:
    `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`

### createConnectionConsumer

    public ConnectionConsumer createConnectionConsumer(Topic topic,
                                                       String messageSelector,
                                                       ServerSessionPool sessionPool,
                                                       int maxMessages)
                                                throws JMSException

  Description copied from interface: `javax.jms.TopicConnection`
  Creates a connection consumer for this connection (optional operation). This is an expert facility not used by regular JMS clients.

  Specified by:
    `createConnectionConsumer` in interface `TopicConnection`
  Parameters:
    `topic` - the topic to access
    `messageSelector` - only messages with properties matching the message selector expression are delivered. A value of null or an empty string indicates that there is no message selector for the message consumer.
    `sessionPool` - the server session pool to associate with this connection consumer
    `maxMessages` - the maximum number of messages that can be assigned to a server session at one time
  Returns:
    the connection consumer
  Throws:
    `JMSException` - if the `TopicConnection` object fails to create a connection consumer due to some internal error or invalid arguments for `sessionPool` and `messageSelector`.
    `InvalidSelectorException` - if the message selector is invalid.
  See Also:
    `ConnectionConsumer`

### createXATopicSession

    public XATopicSession createXATopicSession()
                                        throws JMSException

  Description copied from interface: `javax.jms.XATopicConnection`
  Creates an `XATopicSession` object.

  Specified by:
    `createXATopicSession` in interface `XATopicConnection`
  Returns:
    a newly created XA topic session
  Throws:
    `JMSException` - if the `XATopicConnection` object fails to create an XA topic session due to some internal error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD